<!doctype html>
<html>

	<head>

		<title>DashGL | Graphic Tutorials</title>

		<meta charset="utf-8"/>
		<meta name="author" content="Benjamin Collins (kion)">
		<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no">
		<meta name="keywords" content="Linux,C,OpenGL,Tutorial,SDL,DashGL,Dashie,Raspbery Pi">
		<meta name="description" content="Site devoted to practical examples for OpenGL in C on Linux"/>
		<meta name="google-site-verification" content="6fkJEDwQghBCiN6wVHRNG-7LWST1_VjIVpIr9SZstm0" />

		<link rel="shortcut icon" type="image/png" href="img/dash_model_format.png" />
		<link rel="stylesheet" type="text/css" href="css/fonts.css" />
		<link rel="stylesheet" type="text/css" href="css/layout.css" />

	</head>

	<body>

		<main>

			<header>
				
				<div class="light">

					<div class="container">
					<table class="spacing">
						<tr>
							<td class="mascot">
								<img src="img/dashgl_min.png"/>
							</td>
							<td class="title">
								<h1>DashGL</h1>
								<h2>Digital Adventures in Shaders and OpenGL</h2>
							</td>

							<td class="social">
								<a href="https://linuxrocks.online/@kion">
									<div class="circle mastodon"></div>
								</a>
							</td>

							<td class="social">
								<a href="https://liberapay.com/DashGLProject/">
									<div class="circle liberapay"></div>
								</a>
							</td>

							<td class="social">
								<a href="https://gitlab.com/kion-dgl">
									<div class="circle gitlab"></div>
								</a>
							</td>

							<td class="menu">

								<div class="menu">
									<div class="line top"></div>
									<div class="line middle"></div>
									<div class="line bottom"></div>
								</div>

							</td>
						</tr>
					</table>
					</div>

				</div>
				<div class="dark">

					<div class="container">
					<table class="spacing">
						<tr>
							<td>
							</td>
							<td class="select active">Introduction</td>
							<td class="select">Brickout</td>
							<td class="select">Invaders</td>
							<td class="select">Astroids</td>
						</tr>
					</table>
					</div>

				</div>

			</header>

			<section>

				<div class="container">

					<article>
						
						<div class="meta">
							<table>
								<tr>
									<td>
										<h3>Article 01</h3>
									</td>
									<td>
										<a href="index.html#">View Source</a>
									</td>
								</tr>
								<tr>
									<td>Author: Kion</td>
									<td>Posted on: Jan. 23, 2019</td>
								</tr>
							</table>
						</div>

						<p>
							<h2>Hello</h2>

							Right now this site is under going a redesign.
							If you're looking for OpenGL tutorials on linux you
							can check out <a href="https://gtk.dashgl.com">https://gtk.dashgl.com</a>

							Stuff and things: <a href="https://twitter.com/kion_dgl/status/973528049584029696">Reason for making tutorials</a>

						</p>

						<p>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin justo nisi, molestie a porttitor vitae, aliquam quis turpis. Etiam non venenatis quam, at maximus tellus. Cras mattis mollis nunc eu scelerisque. Ut et ex ex. Mauris egestas et quam at egestas. Phasellus a ante velit. Nulla placerat neque eros, semper bibendum magna iaculis vel. Sed tincidunt, erat sed eleifend pellentesque, dui tellus faucibus mi, at aliquet urna nibh eget erat. In vitae neque tortor. Duis vulputate erat non purus luctus dignissim. Aenean lorem elit, laoreet sed mauris eu, accumsan euismod nunc. Pellentesque ac orci non enim convallis vulputate eu eu risus. Morbi rhoncus lacus arcu, non eleifend dui laoreet vel. 
						</p>

						<img src="img/bricks_006.png"/>

						<p>
 Mauris magna mi, cursus a fringilla ut, rutrum id orci. Sed eget ex eget purus tristique lacinia eu eu ligula. Sed pulvinar mi quis turpis molestie maximus eu ut dui. Morbi dapibus purus sed magna efficitur, sed condimentum est consequat. Proin vitae mauris aliquam, sagittis purus sed, vulputate urna. Fusce faucibus, augue non tincidunt efficitur, nulla mauris sollicitudin turpis, eget scelerisque eros orci quis ligula. Vivamus laoreet justo eget suscipit rutrum. Fusce scelerisque vehicula sem et volutpat. Phasellus ornare hendrerit lorem, id pulvinar ante aliquet non. Integer gravida, felis id laoreet dapibus, lorem nulla bibendum mauris, vel pretium nisl dui vel dolor. 
						</p>

<pre>
#include &lt;gtk/gtk.h&gt;

int main(int argc, char *argv[]) {

	GtkWidget *window;

	gtk_init(&argc, &argv);

	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(window), "Brickout Tutorial");
	gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);
	gtk_window_set_default_size(GTK_WINDOW(window), 640, 480);
	gtk_window_set_type_hint(GTK_WINDOW(window), GDK_WINDOW_TYPE_HINT_UTILITY);
	g_signal_connect(window, "destroy", G_CALLBACK(gtk_main_quit), NULL);

	gtk_widget_show_all(window);

	gtk_main();

	return 0;

}
</pre>

<p>
Fusce vitae erat a augue lacinia maximus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nulla non mauris pellentesque, efficitur augue vel, auctor nibh. Phasellus in eros justo. Nam quis neque nec felis ullamcorper bibendum. Nam mattis purus ac condimentum congue. Duis non ex libero. 
</p>

<p>
Phasellus malesuada tempor massa, at dapibus lacus. Phasellus pretium risus justo, a scelerisque augue molestie interdum. Donec interdum ut est sed lobortis. Cras ut lorem condimentum, imperdiet mi sed, tempus mauris. Nunc et semper velit. Quisque tellus purus, eleifend vitae accumsan non, maximus imperdiet magna. Pellentesque eu sagittis magna. Ut varius in tellus a tincidunt. Morbi accumsan libero sit amet augue lobortis lobortis. Nunc vel erat ac nisl mollis maximus. 
</p>

<p>
Donec semper quis neque lacinia laoreet. Donec finibus mauris elementum eros volutpat, vel condimentum lacus sollicitudin. Pellentesque aliquam turpis id ligula placerat elementum. Praesent dictum diam non laoreet lacinia. Curabitur vitae ligula nec quam aliquam ultricies. Ut sed congue urna. Curabitur cursus faucibus efficitur. 
</p>

<div class="pagination">

	<div class="prev">
		<label>Previous</label>
		<label>Article 00</label>
	</div>

</div>

					</article>

					<aside>
						
						<li class="active">Article 01</li>
						<li>Article 02</li>
						<li>Article 03</li>
						<li>Article 04</li>
						<li>Article 05</li>
						<li>Article 06</li>
						<li>Article 07</li>
						<li>Article 08</li>
						<li>Article 09</li>
						<li>Article 10</li>
						<li>Article 11</li>
						<li>Article 12</li>

					</aside>
					
					<hr>

				</div>

			</section>

			<footer>

				<div class="social container">

					<table class="layout">
						<tr>
							<td class="block">
								<table class="fixed">
									<tr>
										<th colspan="2"><h5>Information</h5></th>
									</tr>
									<tr>
										<td>About</td>
										<td><a href="https://blog.dashgl.com">Blog</a></td>
									</tr>
									<tr>
										<td>Raspberry Pi</td>
										<td><a href="https://format.dashgl.com">Format</a></td>
									</tr>
									<tr>
										<td>Mascot</td>
										<td><a href="https://gtk.dashgl.com">GTK</a></td>
									</tr>
									<tr>
										<td>Sitemap</td>
										<td><a href="https://mml.dashgl.com">Rockman</a></td>
									</tr>
								</table>
							</td>
							<td class="block">
								<table class="fixed">
									<tr>
										<th colspan="2"><h5>Social</h5></th>
									</tr>
									<tr>
										<td><a href="https://github.com/kion-dgl/">Github</a></td>
										<td><a href="https://gitlab.com/kion-dgl">Gitlab</a></td>
									</tr>
									<tr>
										<td><a href="https://twitter.com/kion_dgl">Twitter</a></td>
										<td><a rel="me" href="https://linuxrocks.online/@kion">Mastodon</a></td>
									</tr>
									<tr>
										<td><a href="https://www.youtube.com/channel/UCGGYpxGASdAOmSp36lhTiIw">Youtube</a></td>
										<td><a href="https://www.bitchute.com/channel/IWdMNKd3lZye/">Bitchute</a></td>
									</tr>
									<tr>
										<td><a href="https://www.reddit.com/user/kion_dgl">Reddit</a></td>
										<td><a href="https://www.minds.com/DashGL">Minds</a></td>
									</tr>
								</table>
							</td>
							<td class="block">
								<table class="fixed">
									<tr>
										<th colspan="2"><h5>Libraries</h5></th>
									</tr>
									<tr>
										<td>
											<a href="https://www.glfw.org/">GLFW</a>
										</td>
										<td>
											<a href="https://github.com/ferreiradaselva/mathc">Mathc</a>
										</td>
									</tr>
									<tr>
										<td>
											<a href="http://freeglut.sourceforge.net/">Freeglut</a>
										</td>
										<td>
											<a href="https://github.com/datenwolf/linmath.h">Linmath</a>
										</td>
									</tr>
									<tr>
										<td>
											<a href="https://www.libsdl.org/">SDL</a>
										</td>
										<td>
											<a href="https://github.com/anholt/libepoxy">epoxy</a>
										</td>
									</tr>
									<tr>
										<td>
											<a href="https://www.gtk.org/">GTK</a>
										</td>
										<td>
											<a href="http://glew.sourceforge.net/">glew</a>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>

				</div>

				<div class="copyright">
					<div class="container">
						Copyright &copy; 2018,2019 DashGL Project
					</div>
				</div>

			</footer>

		</main>


	</body>


</html>
